Bug 1297545 - Review Request: golang-github-kardianos-osext - Extensions to the standard Go "os" package
Review Request: golang-github-kardianos-osext - Extensions to the standard Go...
Status: CLOSED DUPLICATE of bug 1428551
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Athos Ribeiro
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1426972
  Show dependency treegraph
 
Reported: 2016-01-11 15:01 EST by Ed Marshall
Modified: 2017-03-04 15:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-04 15:00:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
athoscribeiro: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Comment 1 Upstream Release Monitoring 2016-02-08 08:43:55 EST
jchaloup's scratch build of go-memdb-9ea975b.tar.gz for cli-build/1454938967.533693.wYGVMBzT/go-memdb-9ea975b.tar.gz and f22-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12902531
Comment 2 Athos Ribeiro 2017-03-04 13:50:03 EST
Hello Ed,


I am taking this review.

Could you update the package to a newer version? It may be interesting to have commit 9b883c5eb4, which includes changes for go 1.8.
Comment 3 Fabio Valentini 2017-03-04 14:53:47 EST
Damn, I just noticed that there's another review request for this golang package ... long story short, I wanted to add this package to fedora too (see https://bugzilla.redhat.com/show_bug.cgi?id=1428551), but we decided to modify the existing package (golang-bitbucket-kardianos-osext) to also include the new github sources.

As of today, the rawhide and f26 builds (with updates for f25 and f24 still pending) of golang-bitbucket-kardianos-osext provide the new sources for golang(github.com/kardianos/osext) in addition to the old golang(bitbucket.org/kardianos/osext).
Comment 4 Ed Marshall 2017-03-04 15:00:27 EST
Yeah, this has already made it into Fedora at this point, no sense in keeping my ticket open.

*** This bug has been marked as a duplicate of bug 1428551 ***

Note You need to log in before you can comment on or make changes to this bug.